%define dist Lingua-Stem
Name: perl-%dist
Version: 0.81
Release: alt1.1

Summary: Stemming of words
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source0: %dist-%version.tar.gz

%define de_dist Text-German
%define fr_dist %dist-Fr
%define it_dist %dist-It
%define no_dist Snowball-Norwegian
%define da_dist %dist-Snowball-Da
%define se_dist Snowball-Swedish
%define pt_dist Lingua-PT-Stemmer
%define ru_dist %dist-Ru

%define de_ver 0.03
%define fr_ver 0.02
%define it_ver 0.01
%define no_ver 1.0
%define da_ver 1.01
%define se_ver 1.01
%define pt_ver 0.01
%define ru_ver 0.01

Source1: %de_dist-%de_ver.tar.gz
Source2: %fr_dist-%fr_ver.tar.gz
Source3: %it_dist-%it_ver.tar.gz
Source4: %no_dist-%no_ver.tar.gz
Source5: %da_dist-%da_ver.tar.gz
Source6: %se_dist-%se_ver.tar.gz
Source7: %pt_dist-%pt_ver.tar.gz
Source8: %ru_dist-%ru_ver.tar.gz

BuildArch: noarch
BuildRequires: perl-devel

%description
This routine applies stemming algorithms to its parameters,
returning the stemmed words as appropriate to the selected
locale.

Supported languages and CPAN distributions packaged here:

German				%de_dist-%de_ver
French				%fr_dist-%fr_ver
Italian				%it_dist-%it_ver
Norwegian			%no_dist-%no_ver
Danish				%da_dist-%da_ver
Swedish				%se_dist-%se_ver
Portuguese, Galician		%pt_dist-%pt_ver
Russian				%ru_dist-%ru_ver

%prep
%setup -q -n %dist-%version -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8

for f in README Changes; do
for d in *; do
[ -f $d/$f ] && %__ln_s $d/$f $f.$d
done
done

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README* Changes*
%perl_vendor_privlib/Lingua*
%perl_vendor_man3dir/Lingua*
%perl_vendor_privlib/Text*
%perl_vendor_man3dir/Text*

%changelog
* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.81-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Jul 30 2004 Alexey Tourbin <at@altlinux.ru> 0.81-alt1
- 0.70 -> 0.81
- packaged %dist-Ru here (laziness is virtue)

* Thu May 20 2004 Alexey Tourbin <at@altlinux.ru> 0.70-alt1
- initial revision
- packaged a bunch of language-specific modules here, see description
